
Foreman - Bug #2151

Issues with SSL verification of proxies
Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Authentication   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Some issues thrown up during testing of #2121:

support DN instead of only CN, since nginx can't pass just the CN

empty CN shouldn't be accepted

change from rDNS of request IP to forward DNS of smart proxies?

support headers instead of env vars?

Related issues:

Related to Foreman - Bug #2121: Unauthenticated YAML fact and reports importe... Closed 01/09/2013

Associated revisions

Revision a79b633b - 01/23/2013 03:41 AM - Dominic Cleal

fixes #2151 - use DN environment variable instead of CN

nginx is unable to pass bits of the X.509 subject, only the entire DN, so

support that as a lowest common denominator.

History

#1 - 01/22/2013 12:43 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.1

https://github.com/theforeman/foreman/pull/389

I was going to change the rDNS scheme as well, but decided that I'll mention it in my e-mail to foreman-users to get feedback (will send as soon as

the installer PR's merged).

#2 - 01/23/2013 05:23 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a79b633bbf5e53f284e7d089d4fac75069e8b1b5.
